For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
      • GETReturns the currently logged-in user and workspace.
      • GETReturns all users with their details.
      • GETTries to retrieve user name and gender for the specified email.
      • GETReturns the currently logged-in user and workspace.
      • GETReturns the user with the specified id.
      • PUTUpdates the user with the specified id.
      • DELDeletes the user with the specified id.
      • POSTActivates the user with the specified id.
      • GETReturns the contact infos of the user with the specified id.
      • POSTCreates a new contact info for the user with the specified id.
      • GETReturns the contact info of the user with the specified id.
      • PUTUpdates the contact info of the user with the specified id.
      • DELDeletes the contact info of the user with the specified id.
      • POSTDeactivates the user with the specified id.
      • POSTArchives or unarchives the user with the specified id.
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceUsers

Deactivates the user with the specified id.

POST
https://api.awork.com/api/v1/users/:userId/deactivate
POST
/api/v1/users/:userId/deactivate
$curl -X POST https://api.awork.com/api/v1/users/userId/deactivate \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "privateProjectManagersReassignedCount": 3,
3 "privateProjectsDeletedCount": 2
4}
A deactivated user can no longer sign in. This is only possible if the user is not the last admin user. <Check title="Required Permissions" icon="key">The user must be an admin or have `user-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Archives or unarchives the user with the specified id.

Next
Built with

A deactivated user can no longer sign in. This is only possible if the user is not the last admin user.

Required Permissions
The user must be an admin or have user-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

userIdstringRequiredformat: "uuid"
The id of the user.

Query parameters

includeSummarybooleanOptionalDefaults to false
Whether to return the private project orphan resolution summary.

Response

OK
privateProjectManagersReassignedCountinteger
privateProjectsDeletedCountinteger

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error